(use-modules (gnu)
             (nongnu packages linux)
             (nongnu system linux-initrd)
             (metznet system base-system)
             (gnu packages vim)
             (gnu packages version-control)
             (gnu packages shells))

(operating-system
  (inherit %metznet-base-desktop-system)

  ;; Requires nonfree kernel for intel wifi support
  (kernel linux)
  (initrd microcode-initrd)
  (firmware (list linux-firmware))

  (host-name "otto")
  (bootloader (bootloader-configuration
                (bootloader grub-efi-bootloader)
                (targets '("/boot/efi"))))
  (swap-devices (list (swap-space
                        (target (file-system-label "otto-swap")))))
  (file-systems (cons* (file-system
                         (device (file-system-label "OTTO-BOOT"))
                         (mount-point "/boot/efi")
                         (type "vfat"))
                       (file-system
                         (device (file-system-label "otto-data"))
                         (mount-point "/")
                         (type "ext4")) %base-file-systems))
  (sudoers-file (plain-file "sudoers"
                            (string-join (list
                                          "root ALL=(ALL:ALL) NOPASSWD:ALL"
                                          "%admin ALL=(ALL:ALL) ALL" "") "\n")))

  (packages (cons* git neovim %metznet-desktop-packages)))
